## golang-github-frankban-quicktest 1.0.0

=== Makefile ===
# Make is only required when using Go < 1.11.
# On newer Go versions dependency management is handled by Go modules.

default: test

$(GOPATH)/bin/godeps:
	go get -v github.com/rogpeppe/godeps

deps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv

create-deps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -t ./... > dependencies.tsv

.PHONY: install
install: deps
	go install -v ./...

.PHONY: test
test: deps
	go test -v ./...

=== debian/changelog ===
golang-github-frankban-quicktest (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: 905073)

 -- Shengjing Zhu <i@zhsj.me>  Tue, 31 Jul 2018 16:07:22 +0800

=== debian/control ===
Source: golang-github-frankban-quicktest
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-pretty-dev
Standards-Version: 4.1.5
Homepage: https://github.com/frankban/quicktest
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
XS-Go-Import-Path: github.com/frankban/quicktest
Testsuite: autopkgtest-pkg-go

Package: golang-github-frankban-quicktest-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-google-go-cmp-dev,
         golang-pretty-dev
Description: quick helpers for testing Go applications
 A collection of Go helpers for writing tests.
 .
 The library provides some base checkers like Equals, DeepEquals, Matches,
 ErrorMatches, IsNil and others. More can be added by implementing the
 Checker interface.

## golang-github-frankban-quicktest 1.4.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.0-1
  * Remove debian/gbp.conf to restore upstream-tag to upstream/%(version)s
  * Bump Standards-Version to 4.4.0 (no change)
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Update dependency golang-github-google-go-cmp-dev to (>= 0.3.0~)
  * Add workaround to make checker_test.go work with "go test -v",
    see https://github.com/frankban/quicktest/issues/46

 -- Anthony Fok <foka@debian.org>  Mon, 05 Aug 2019 12:28:05 -0600

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <i@zhsj.me>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
-               golang-github-google-go-cmp-dev,
-               golang-pretty-dev
-Standards-Version: 4.1.5
+               golang-github-google-go-cmp-dev (>= 0.3.0~),
+               golang-pretty-dev (>= 0.1.0~)
+Standards-Version: 4.4.0
 Homepage: https://github.com/frankban/quicktest
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
@@ -18,8 +18,8 @@
 Package: golang-github-frankban-quicktest-dev
 Architecture: all
 Depends: ${misc:Depends},
-         golang-github-google-go-cmp-dev,
-         golang-pretty-dev
+         golang-github-google-go-cmp-dev (>= 0.3.0~),
+         golang-pretty-dev (>= 0.1.0~)
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.
  .

## golang-github-frankban-quicktest 1.4.1

=== debian/changelog ===
golang-github-frankban-quicktest (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Remove 'workaround to make checker_test.go work with "go test -v"'
    due to upstream fix in https://github.com/frankban/quicktest/pull/47.
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 14 Aug 2019 03:08:04 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>
+Uploaders: Shengjing Zhu <i@zhsj.me>,
+           Anthony Fok <foka@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,

## golang-github-frankban-quicktest 1.6.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Apply "cme fix dpkg" fixes:
    - Bump Standards-Version to 4.4.1 (no change)
  * Bump dependency on golang-github-google-go-cmp-dev to (>= 0.3.1~)

 -- Anthony Fok <foka@debian.org>  Thu, 07 Nov 2019 13:27:15 -0700

=== debian/control ===
Source: golang-github-frankban-quicktest
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.3.1~),
               golang-pretty-dev (>= 0.1.0~)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
Homepage: https://github.com/frankban/quicktest
XS-Go-Import-Path: github.com/frankban/quicktest

Package: golang-github-frankban-quicktest-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-google-go-cmp-dev (>= 0.3.1~),
         golang-pretty-dev (>= 0.1.0~)
Description: quick helpers for testing Go applications
 A collection of Go helpers for writing tests.
 .
 The library provides some base checkers like Equals, DeepEquals, Matches,
 ErrorMatches, IsNil and others. More can be added by implementing the
 Checker interface.

## golang-github-frankban-quicktest 1.7.3

=== debian/changelog ===
golang-github-frankban-quicktest (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Remove 0001-Upgrade-to-go-cmp-v0.4.0.patch
    which has been applied in upstream v1.7.3

 -- Anthony Fok <foka@debian.org>  Thu, 20 Feb 2020 23:17:26 -0700

golang-github-frankban-quicktest (1.6.0-2) unstable; urgency=medium

  * debian/gbp.conf: Set debian-branch to debian/sid
    for DEP-14 conformance
  * Bump dependency on golang-github-google-go-cmp-dev to (>= 0.4.0~)
  * Add 0001-Upgrade-to-go-cmp-v0.4.0.patch
    to adjust checker_test.go for go-cmp’s changes to panic message
    for accessing an unexported field
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 17:24:54 -0700

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,19 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
-               golang-github-google-go-cmp-dev (>= 0.3.1~),
+               golang-github-google-go-cmp-dev (>= 0.4.0~),
                golang-pretty-dev (>= 0.1.0~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
 Homepage: https://github.com/frankban/quicktest
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/frankban/quicktest
 
 Package: golang-github-frankban-quicktest-dev
 Architecture: all
 Depends: ${misc:Depends},
-         golang-github-google-go-cmp-dev (>= 0.3.1~),
+         golang-github-google-go-cmp-dev (>= 0.4.0~),
          golang-pretty-dev (>= 0.1.0~)
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.

## golang-github-frankban-quicktest 1.9.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Replace golang-pretty-dev with golang-github-kr-pretty-dev
    golang-pretty-dev is a transition package which has been removed

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Apr 2020 17:05:14 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-frankban-quicktest
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>,
+Uploaders: Shengjing Zhu <zhsj@debian.org>,
            Anthony Fok <foka@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
@@ -9,7 +9,7 @@
                dh-golang,
                golang-any,
                golang-github-google-go-cmp-dev (>= 0.4.0~),
-               golang-pretty-dev (>= 0.1.0~)
+               golang-github-kr-pretty-dev (>= 0.1.0~)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-google-go-cmp-dev (>= 0.4.0~),
-         golang-pretty-dev (>= 0.1.0~)
+         golang-github-kr-pretty-dev (>= 0.1.0~)
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.
  .

## golang-github-frankban-quicktest 1.11.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * debian/gbp.conf: Enable pristine-tar

 -- Anthony Fok <foka@debian.org>  Fri, 23 Oct 2020 01:11:35 -0600

golang-github-frankban-quicktest (1.10.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 1.10.2
  * Update versioned dependencies as per go.mod
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 01:35:56 -0600

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-google-go-cmp-dev (>= 0.4.0~),
-               golang-github-kr-pretty-dev (>= 0.1.0~)
+               golang-github-google-go-cmp-dev (>= 0.5.2),
+               golang-github-kr-pretty-dev (>= 0.2.1)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
@@ -20,8 +20,8 @@
 Package: golang-github-frankban-quicktest-dev
 Architecture: all
 Depends: ${misc:Depends},
-         golang-github-google-go-cmp-dev (>= 0.4.0~),
-         golang-github-kr-pretty-dev (>= 0.1.0~)
+         golang-github-google-go-cmp-dev (>= 0.5.2),
+         golang-github-kr-pretty-dev (>= 0.2.1)
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.
  .

## golang-github-frankban-quicktest 1.11.1

=== debian/changelog ===
golang-github-frankban-quicktest (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- Anthony Fok <foka@debian.org>  Sat, 31 Oct 2020 06:20:33 -0600

## golang-github-frankban-quicktest 1.11.2

=== debian/changelog ===
golang-github-frankban-quicktest (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2
  * debian/control: Change Section from devel to golang

 -- Anthony Fok <foka@debian.org>  Mon, 16 Nov 2020 04:37:29 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
            Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-frankban-quicktest-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/frankban/quicktest/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-frankban-quicktest 1.12.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Update go-cmp dependency to (>= 0.5.5) as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 02:48:48 -0600

golang-github-frankban-quicktest (1.11.3-1) unstable; urgency=medium

  * New upstream version 1.11.3
  * Bump dependency on golang-github-google-go-cmp-dev to (>= 0.5.4)
  * debian/control: Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 08 Aug 2021 03:19:26 -0600

golang-github-frankban-quicktest (1.11.3-1~exp1) experimental; urgency=medium

  * New upstream version 1.11.3
  * Bump dependency on golang-github-google-go-cmp-dev to (>= 0.5.4)
  * debian/control: Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 28 Feb 2021 04:22:37 -0700

## golang-github-frankban-quicktest 1.13.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0

 -- Anthony Fok <foka@debian.org>  Fri, 29 Oct 2021 01:01:31 -0600

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-google-go-cmp-dev (>= 0.5.2),
+               golang-github-google-go-cmp-dev (>= 0.5.5),
                golang-github-kr-pretty-dev (>= 0.2.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
 Homepage: https://github.com/frankban/quicktest
@@ -19,8 +19,9 @@
 
 Package: golang-github-frankban-quicktest-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
-         golang-github-google-go-cmp-dev (>= 0.5.2),
+         golang-github-google-go-cmp-dev (>= 0.5.5),
          golang-github-kr-pretty-dev (>= 0.2.1)
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.

## golang-github-frankban-quicktest 1.14.0

=== debian/changelog ===
golang-github-frankban-quicktest (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 05:41:57 -0600

golang-github-frankban-quicktest (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1

 -- Anthony Fok <foka@debian.org>  Sun, 31 Oct 2021 16:30:52 -0600

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-google-go-cmp-dev (>= 0.5.5),
-               golang-github-kr-pretty-dev (>= 0.2.1)
+               golang-github-google-go-cmp-dev (>= 0.5.6),
+               golang-github-kr-pretty-dev (>= 0.3.0)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
@@ -21,8 +21,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         golang-github-google-go-cmp-dev (>= 0.5.5),
-         golang-github-kr-pretty-dev (>= 0.2.1)
+         golang-github-google-go-cmp-dev (>= 0.5.6),
+         golang-github-kr-pretty-dev (>= 0.3.0)
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.
  .

## golang-github-frankban-quicktest 1.14.2

=== debian/changelog ===
golang-github-frankban-quicktest (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump dependency on golang-github-google-go-cmp-dev to (>= 0.5.7)

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 21:13:24 -0700

## golang-github-frankban-quicktest 1.14.3

=== debian/changelog ===
golang-github-frankban-quicktest (1.14.3-1) unstable; urgency=medium

  * New upstream version 1.14.3

 -- Anthony Fok <foka@debian.org>  Mon, 30 May 2022 08:51:31 -0600

=== debian/control ===
Source: golang-github-frankban-quicktest
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.5.7),
               golang-github-kr-pretty-dev (>= 0.3.0)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
Homepage: https://github.com/frankban/quicktest
XS-Go-Import-Path: github.com/frankban/quicktest

Package: golang-github-frankban-quicktest-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-google-go-cmp-dev (>= 0.5.7),
         golang-github-kr-pretty-dev (>= 0.3.0)
Description: quick helpers for testing Go applications
 A collection of Go helpers for writing tests.
 .
 The library provides some base checkers like Equals, DeepEquals, Matches,
 ErrorMatches, IsNil and others. More can be added by implementing the
 Checker interface.

## golang-github-frankban-quicktest 1.14.4

=== debian/changelog ===
golang-github-frankban-quicktest (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 25 Jan 2023 12:12:11 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-google-go-cmp-dev (>= 0.5.7),
                golang-github-kr-pretty-dev (>= 0.3.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest.git
 Homepage: https://github.com/frankban/quicktest

## golang-github-frankban-quicktest 1.14.6

=== debian/changelog ===
golang-github-frankban-quicktest (1.14.6-1) unstable; urgency=medium

  * New upstream version 1.14.6
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Thu, 21 Sep 2023 01:49:29 -0600

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-google-go-cmp-dev (>= 0.5.7),
-               golang-github-kr-pretty-dev (>= 0.3.0)
+               golang-github-google-go-cmp-dev (>= 0.5.9),
+               golang-github-kr-pretty-dev (>= 0.3.1)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-frankban-quicktest
@@ -20,9 +20,9 @@
 Package: golang-github-frankban-quicktest-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         golang-github-google-go-cmp-dev (>= 0.5.7),
-         golang-github-kr-pretty-dev (>= 0.3.0)
+Depends: golang-github-google-go-cmp-dev (>= 0.5.9),
+         golang-github-kr-pretty-dev (>= 0.3.1),
+         ${misc:Depends},
 Description: quick helpers for testing Go applications
  A collection of Go helpers for writing tests.
  .
